Index: extensions/event_cats/admin/duplication.inc.php
===================================================================
--- extensions/event_cats/admin/duplication.inc.php	(revision 4276)
+++ extensions/event_cats/admin/duplication.inc.php	(revision 4329)
@@ -1,30 +1,73 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Plugin Name : Event Cats                                              |
+// | Plugin Version : 1.0                                                  |
+// | File Version : 1.0                                                    |
+// | Plugin Version author : LucMorizur                                    |
+// | Plugin description : (plugin for Piwigo, http://piwigo.org )          |
+// | This plugin allows an account to be automatically logged in ; and to  |
+// | let users duplicate the account they are logged with, to get benefits |
+// | of the groups of the previous account, immediately on their new acc.  |
+// | Ce plugin permet d'identifier automatiquement un compte ; et permet à |
+// | un utilisateur de dupliquer un compte, pour que le nouveau compte     |
+// | bénéficie immédiatement de l'affectation aux groupes de l'ancien cpte |
+// +-----------------------------------------------------------------------+
 
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
+global $ec_conf_default;
 
+// +-----------------------------------------------------------------------+
+// | Duplication granted per groups/types/users management                 |
+// +-----------------------------------------------------------------------+
 
-
-/* */
-
-
-
-
-
-
-
-
+// In evntcats_main_funcs.inc.php ; determines all granted groups/types/users
+// Thanks to "true" parameter, assigns to the template all needed variables
 build_dup_arrays(true);
 
+// Gets $lang['Register'] and $lang['Duplicate']
+load_language('common.lang');
+load_language('duplic.lang', EVNTCATS_PATH);
 
+$template->assign(
+  'ec_dup_link_conf',
+  sprintf(
+    l10n('Register replacement'),
+    '&nbsp;&nbsp;<br />', // nicer line feed
+    $lang['Register'],
+    $lang['Duplicate']
+  )
+);
 
+// In case some $lang have the same index, overwrites them to have the ones
+// needed here
+load_language('plugin.lang', EVNTCATS_PATH);
 
-
-
-
-
-
-
-
+$ec_conf2 = array();
+$ec_conf2['dup_allow'] = read_ec_conf('dup_allow');
+$ec_conf2['duplic_display'] = read_ec_conf('duplic_display');
+$template->assign('ec_conf', $ec_conf2);
 
 ?>
